PrivateKeyAlgorithm Class Referenceabstract

Interface for asymmetric algorithms using private keys. More...

Inheritance diagram for PrivateKeyAlgorithm:

## Public Member Functions

CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Private Key. More...
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Private Key. More...
virtual PrivateKey & | AccessPrivateKey ()=0
| Retrieves a reference to a Private Key. More...
virtual const PrivateKey & | GetPrivateKey () const
| Retrieves a reference to a Private Key. More...
Public Member Functions inherited from AsymmetricAlgorithm
void | BERDecode (BufferedTransformation &bt)
| Loads this object from a BufferedTransformation. More...
void | DEREncode (BufferedTransformation &bt) const
| Saves this object to a BufferedTransformation. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Interface for asymmetric algorithms using private keys.

Definition at line 2258 of file cryptlib.h.

## Member Function Documentation

## AccessMaterial()

CryptoMaterial& PrivateKeyAlgorithm::AccessMaterial | ( |  | ) |

inline virtual

Retrieves a reference to a Private Key.

Returns
  a reference the private key

Implements AsymmetricAlgorithm.

Definition at line 2267 of file cryptlib.h.

## GetMaterial()

const CryptoMaterial& PrivateKeyAlgorithm::GetMaterial | ( |  | ) | const

inline virtual

Retrieves a reference to a Private Key.

Returns
  a const reference the private key

Implements AsymmetricAlgorithm.

Definition at line 2270 of file cryptlib.h.

## AccessPrivateKey()

virtual PrivateKey& PrivateKeyAlgorithm::AccessPrivateKey | ( |  | ) |

pure virtual

Retrieves a reference to a Private Key.

Returns
  a reference the private key

## GetPrivateKey()

virtual const PrivateKey& PrivateKeyAlgorithm::GetPrivateKey | ( |  | ) | const

inline virtual

Retrieves a reference to a Private Key.

Returns
  a const reference the private key

Definition at line 2277 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h